Bug 977137 - Review Request: nodejs-zlib-browserify - Wrapper for zlib.js to allow for use in browsers
Review Request: nodejs-zlib-browserify - Wrapper for zlib.js to allow for use...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1077322
Blocks: nodejs-reviews 977126 1078469
  Show dependency treegraph
 
Reported: 2013-06-23 13:11 EDT by Jamie Nguyen
Modified: 2014-03-19 14:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 14:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 13:11:08 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-zlib-browserify.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-zlib-browserify-0.0.1-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Wrapper for zlib.js to allow for use in browsers.
Comment 1 T.C. Hollingsworth 2013-07-17 11:55:36 EDT
Looks like this bundles:
https://github.com/imaya/zlib.js
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-29 23:14:50 EDT
A review request for zlib.js is submitted: https://bugzilla.redhat.com/show_bug.cgi?id=1024589.
Comment 3 Jamie Nguyen 2014-03-13 11:24:29 EDT
Spec URL: http://jamielinux.fedorapeople.org/gruntjs/nodejs-zlib-browserify.spec
SRPM URL: http://jamielinux.fedorapeople.org/gruntjs/SRPMS/nodejs-zlib-browserify-0.0.3-1.fc21.src.rpm

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.3-1
- update to upstream release 0.0.3
- patch to use npm(zlibjs) module
Comment 4 Zbigniew Jędrzejewski-Szmek 2014-03-18 10:53:18 EDT
Sorry for barging in, but I have the dependencies built locally, so I'll do this one too.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
MIT.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists.
Pull request has been submitted.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-zlib-browserify-0.0.3-1.fc21.noarch.rpm
          nodejs-zlib-browserify-0.0.3-1.fc21.src.rpm
nodejs-zlib-browserify.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-zlib-browserify.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-zlib-browserify.noarch: W: only-non-binary-in-usr-lib
nodejs-zlib-browserify.noarch: W: dangling-symlink /usr/lib/node_modules/zlib-browserify/node_modules/zlibjs /usr/lib/node_modules/zlibjs
nodejs-zlib-browserify.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-zlib-browserify.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

All OK.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-zlib-browserify
nodejs-zlib-browserify.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-zlib-browserify.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-zlib-browserify.noarch: W: only-non-binary-in-usr-lib
All OK.

nodejs-zlib-browserify.noarch: W: dangling-symlink /usr/lib/node_modules/zlib-browserify/node_modules/zlibjs /usr/lib/node_modules/zlibjs
Target provided by nodejs-zlibjs.rpm.

1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'


Requires
--------
nodejs-zlib-browserify (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(zlibjs)

Provides
--------
nodejs-zlib-browserify:
    nodejs-zlib-browserify
    npm(zlib-browserify)

Source checksums
----------------
http://registry.npmjs.org/zlib-browserify/-/zlib-browserify-0.0.3.tgz :
  CHECKSUM(SHA256) this package     : 767ca7a678e7188ada638d4d2416a777e591ec708e5dbd1d3ae526c10f68a25a
  CHECKSUM(SHA256) upstream package : 767ca7a678e7188ada638d4d2416a777e591ec708e5dbd1d3ae526c10f68a25a


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 977137 -c -m fedora-rawhide-x86_64 -L nodejs-zlibjs/noarch
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Built with local dependencies:
    /home/zbyszek/fedora/nodejs-zlibjs/noarch/nodejs-zlibjs-0.2.0-1.fc21.noarch.rpm
    /home/zbyszek/fedora/nodejs-zlibjs/noarch/js-zlib-0.2.0-5.fc21.noarch.rpm

Everything looks fine.

Package is APPROVED.
Comment 5 T.C. Hollingsworth 2014-03-18 17:31:49 EDT
I don't mind at all.  :-)  Setting review flag to approved.
Comment 6 Jamie Nguyen 2014-03-19 03:56:48 EDT
New Package SCM Request
=======================
Package Name: nodejs-zlib-browserify
Short Description: Wrapper for zlib.js to allow for use in browsers
Owners: jamielinux patches
Branches: 
InitialCC:
Comment 7 Gwyn Ciesla 2014-03-19 08:01:48 EDT
Git done (by process-git-requests).
Comment 8 Jamie Nguyen 2014-03-19 14:57:38 EDT
Built for rawhide:
http://koji.fedoraproject.org/koji/buildinfo?buildID=505679

Note You need to log in before you can comment on or make changes to this bug.